gnutls_dtls_set_mtu(3)

NAME
gnutls_dtls_set_mtu - API function

SYNOPSIS
#include <gnutls/dtls.h>

void gnutls_dtls_set_mtu(gnutls_session_t session, unsigned int mtu);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int mtu
    The maximum transfer unit of the transport

DESCRIPTION
This function will set the maximum transfer unit of the transport that DTLS packets are sent over. Note that this should exclude the IP (or IPv6) and UDP headers. So for DTLS over IPv6 on an Ethenet device with MTU 1500, the DTLS MTU set with this function would be 1500 - 40 (IPV6 header) - 8 (UDP header) = 1452.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/